Verify receiving domain
curl --request POST \
--url https://api.moonemail.co/domains/{id}/receiving/verify \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/domains/{id}/receiving/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/domains/{id}/receiving/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"domain_id": "<string>",
"name": "<string>",
"status": "pending",
"verified_until": 123,
"created_at": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"priority": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Receiving domains
Verify receiving domain
Verify sending identity and exact receiving TXT/MX records, then enable receiving. DNS authorization is checked periodically and expires after 24 hours without a successful check.
Required permission: domains:write.
POST
/
domains
/
{id}
/
receiving
/
verify
Verify receiving domain
curl --request POST \
--url https://api.moonemail.co/domains/{id}/receiving/verify \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/domains/{id}/receiving/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/domains/{id}/receiving/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"domain_id": "<string>",
"name": "<string>",
"status": "pending",
"verified_until": 123,
"created_at": "<string>",
"records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"priority": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Authorizations
Moonemail API key; x-required-scope applies.
Path Parameters
Required string length:
1 - 200Pattern:
^[A-Za-z0-9_-]+$